﻿$ErrorActionPreference = 'Stop';

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = 'https://github.com/OpenShot/openshot-qt/releases/download/v2.5.1/OpenShot-v2.5.1-x86.exe'
  url64bit      = 'https://github.com/OpenShot/openshot-qt/releases/download/v2.5.1/OpenShot-v2.5.1-x86_64.exe'

  softwareName  = 'openshot'

  checksum      = '9fe1cb6bd0b220da72e7a6b79bbc57e00ad295c04cc896dfbe58a43ea9401837'
  checksumType  = 'sha256'
  checksum64    = 'cb9b7ea7b72d8147b85d0f881de819e4f81092f6cac605be2e61753da6dc9026'
  checksumType64= 'sha256'

  silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
